BrowserSessionFactory.BrowserSessionInfo (Selenium RC Server (Coreless) 1.0.1 API)
Date: 2009-06-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server
Class BrowserSessionFactory.BrowserSessionInfo

    java.lang.Object
      org.openqa.selenium.server.BrowserSessionFactory.BrowserSessionInfo

Enclosing class:
  BrowserSessionFactory

    public static class BrowserSessionFactory.BrowserSessionInfo

extends java.lang.Object

Collection class to hold the objects associated with a browser session.

Author:
  jbevan@google.com (Jennifer Bevan)

Field Summary
`java.lang.String` | `baseUrl`
`java.lang.String` | `browserString`
`long` | `lastClosedAt`
`BrowserLauncher` | `launcher`
`FrameGroupCommandQueueSet` | `session`
`java.lang.String` | `sessionId`

Constructor Summary
`BrowserSessionFactory.BrowserSessionInfo(java.lang.String sessionId, java.lang.String browserString, java.lang.String baseUrl, BrowserLauncher launcher, FrameGroupCommandQueueSet session)`

Method Summary
`protected static boolean` | `isValid(BrowserSessionFactory.BrowserSessionInfo sessionInfo)` Browser sessions require the session id, the browser, the base URL, and the launcher.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sessionId

    public final java.lang.String sessionId

### browserString

    public final java.lang.String browserString

### baseUrl

    public final java.lang.String baseUrl

### launcher

    public final BrowserLauncher launcher

### session

    public final FrameGroupCommandQueueSet session

### lastClosedAt

    public long lastClosedAt

Constructor Detail

### BrowserSessionFactory.BrowserSessionInfo

    public BrowserSessionFactory.BrowserSessionInfo(java.lang.String sessionId,
                                                    java.lang.String browserString,
                                                    java.lang.String baseUrl,
                                                    BrowserLauncher launcher,
                                                    FrameGroupCommandQueueSet session)

Method Detail

### isValid

    protected static boolean isValid(BrowserSessionFactory.BrowserSessionInfo sessionInfo)

  Browser sessions require the session id, the browser, the base URL, and the launcher. They don't actually require the session to be set up as a FrameGroupCommandQueueSet.

  Parameters:
    `sessionInfo` - the sessionInfo to validate.
  Returns:
    true if all fields excepting session are non-null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.